Home | Modules | Class Hierarchy | Alphabetical List | Compound List | Related Pages

# StyledHRDMapper Class Reference
[Handlers]

Inheritance diagram for StyledHRDMapper:

## Detailed Description

HRD files reader.

HRD Files format contains mappings of HRC syntax regions into real coloring information. Each record in HRD (RegionDefine) can contain information about region color (`fore,` `back)` and about it's style (`style).`

## Public Methods

void | loadRegionMappings (InputSource *is)
| Loads region defines from `is` InputSource.
void | saveRegionMappings (Writer *writer) const
| Saves all loaded region defines into `writer.`
void | setRegionDefine (const String &region, const RegionDefine *rdnew)
| Changes specified region definition to `rdnew.`

## Member Function Documentation

void StyledHRDMapper::saveRegionMappings | ( | Writer * | writer | ) | const`[virtual]`

| Saves all loaded region defines into `writer.` Note, that result document would not be equal to input one, because there could be multiple input documents. Implements RegionMapperImpl.

void StyledHRDMapper::setRegionDefine | ( | const String & | region,
|  | const RegionDefine * | rdnew
| ) | `[virtual]`

Changes specified region definition to `rdnew.`

Parameters:

  region | Region full qualified name.
  rdnew | New region definition to replace old one

Implements RegionMapperImpl.

Colorer-take5 Library. Copyright © 1999-2003 Cail Lomecb.
Generated at Fri Sep 12 18:54:57 2003 by doxygen 1.3-rc2.